# Class: c3.util

Defined in: | js/c3.coffee

## Overview

################################################################## Utility Functions

##################################################################

## Class Method Summary

- . (Object) extend(dest, src) Extend an object with the properties in another
- . (Object) defaults(dest, src) Fill in properties of an object based on another iff not already defined
- . (void) spin(ms) Spin Wait
- . (void) isEmpty(obj) Test if an object is empty

## Class Method Details

. (Object) extend(dest, src)

Extend an object with the properties in another

### Parameters:

- dest ( `Object` ) — Destination object that will get all properties of the src object
- src ( `Object` ) — Source object

### Returns:

- ( `Object` ) — Returns the destination object

. (Object) defaults(dest, src)

Fill in properties of an object based on another iff not already defined

### Parameters:

- dest ( `Object` ) — Destination object that will get all properties of the src object if not defined
- src ( `Object` ) — Source object with default values

### Returns:

- ( `Object` ) — Returns the destination object

. (void) spin(ms)

Spin Wait

### Parameters:

- ms ( `Number` ) — Number of milliseconds to spin

. (void) isEmpty(obj)

Test if an object is empty

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input